Page MenuHomePhabricator

Count how many people opt out of informing the source wiki about the move
Closed, ResolvedPublic1 Estimate Story Points

Description

Motivation
In order to evaluate what should be the default for the checkbox "inform source wiki about the move", we need to know what people usually choose.

Acceptance Criteria

  • On the FileImporter grafana board, add a graph that shows the how many users agreed to the information of the source wiki.
  • The graph should only account for successful imports, and have a per day granularity

Details

Related Gerrit Patches:
mediawiki/extensions/FileImporter : masterFix for tracking how many times we offer the remote edit features
mediawiki/extensions/FileImporter : masterTrack how many times we offer the remote edit features

Event Timeline

Restricted Application added a project: TCB-Team. · View Herald TranscriptJun 25 2019, 2:24 PM
Lea_WMDE set the point value for this task to 3.Jun 25 2019, 2:24 PM
awight claimed this task.Jul 2 2019, 2:24 PM
awight moved this task from Sprint Backlog to Doing on the WMDE-QWERTY-Sprint-2019-06-26 board.

Change 520251 had a related patch set uploaded (by Awight; owner: Awight):
[mediawiki/extensions/FileImporter@master] Track how many times we offer the remote edit features

https://gerrit.wikimedia.org/r/520251

Change 520251 merged by jenkins-bot:
[mediawiki/extensions/FileImporter@master] Track how many times we offer the remote edit features

https://gerrit.wikimedia.org/r/520251

Needs the grafana board.

WMDE-Fisch changed the point value for this task from 3 to 1.
awight removed awight as the assignee of this task.Sep 18 2019, 11:56 AM
awight added a subscriber: awight.

Change 537640 had a related patch set uploaded (by Andrew-WMDE; owner: Andrew-WMDE):
[mediawiki/extensions/FileImporter@master] Fix for tracking how many times we offer the remote edit features

https://gerrit.wikimedia.org/r/537640

Change 537640 merged by jenkins-bot:
[mediawiki/extensions/FileImporter@master] Fix for tracking how many times we offer the remote edit features

https://gerrit.wikimedia.org/r/537640

The patch is verified working on the beta cluster, so now we just have to create the Grafana panel, once data is available.

Eh I guess this is still "doing" until the graph is ready. We'll need to wait for next week's train before data will be available.

awight removed Andrew-WMDE as the assignee of this task.Oct 4 2019, 7:52 AM
awight moved this task from Doing to Sprint Backlog on the WMDE-QWERTY-Sprint-2019-09-25 board.
awight added a subscriber: Andrew-WMDE.
awight closed this task as Resolved.Oct 22 2019, 12:00 PM
awight claimed this task.
awight moved this task from Review to Done on the WMDE-QWERTY-Sprint-2019-10-09 board.

Looks good!